/**
 * Copyright 2008 Bluestem Software LLC.  All Rights Reserved.
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * 
 */

package org.bluestemsoftware.open.eoa.plugin.util;

public class Constants {

    public static final String LANGUAGE_JAVA = "java";

    public static final String PROJECT_PACKAGING_EAR = "ear";

    public static final String PROJECT_PACKAGING_EJB = "ejb";

    public static final String PROJECT_PACKAGING_JAR = "jar";

    public static final String PROJECT_PACKAGING_WAR = "war";
    
    public static final String POM_ELT_ARTIFACT_ID = "artifactId";

    public static final String POM_ELT_GROUP_ID = "groupId";

    public static final String NATURE_WST_FACET_CORE_NATURE = "org.eclipse.wst.common.project.facet.core.nature";

    public static final String BUILDER_WST_COMPONENT_STRUCTURAL_DEPENDENCY_RESOLVER = "org.eclipse.wst.common.modulecore.ComponentStructuralBuilderDependencyResolver";

    public static final String BUILDER_WST_VALIDATION = "org.eclipse.wst.validation.validationbuilder";

    public static final String BUILDER_JDT_CORE_JAVA = "org.eclipse.jdt.core.javabuilder";

    public static final String BUILDER_WST_COMPONENT_STRUCTURAL = "org.eclipse.wst.common.modulecore.ComponentStructuralBuilder";

    public static final String BUILDER_WST_FACET = "org.eclipse.wst.common.project.facet.core.builder";

    public static final String BUILDER_PDE_MANIFEST = "org.eclipse.pde.ManifestBuilder";

    public static final String BUILDER_PDE_SCHEMA = "org.eclipse.pde.SchemaBuilder";

    public static final String NATURE_WST_MODULE_CORE_NATURE = "org.eclipse.wst.common.modulecore.ModuleCoreNature";

    public static final String NATURE_JDT_CORE_JAVA = "org.eclipse.jdt.core.javanature";

    public static final String NATURE_JEM_WORKBENCH_JAVA_EMF = "org.eclipse.jem.workbench.JavaEMFNature";

    public static final String NATURE_PDE_PLUGIN = "org.eclipse.pde.PluginNature";

    public static final String COMMON_PATH_JDT_LAUNCHING_JRE_CONTAINER = "org.eclipse.jdt.launching.JRE_CONTAINER";

    public static final String REQUIRED_PLUGINS_CONTAINER = "org.eclipse.pde.core.requiredPlugins";

    public static final String[] WTP_SUPPORTED_VERSIONS = new String[] { "1.0", "1.5", "R7", "none" }; 

}
